path: /build/build/kpeg-dev-ruby-1-1.3.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/kpeg:1 -pv -t && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/kpeg:1
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kpeg && luet-portage --dir /pkgdir/kpeg
    dev-ruby/kpeg:1 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:c93c3947fac08cebe48e4041d88b6dc859b9c87afab2a9a721dd8393e35fe543
  package:
    name: kpeg
    version: 1.3.3
    category: dev-ruby-1
    use_flags:
    - -doc
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: racc
      version: '>=0'
      category: dev-ruby
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A simple PEG library for Ruby
    uri:
    - https://github.com/evanphx/kpeg
    license: MIT
    buildtimestamp: 2024-04-14 11:30:23.310740858 +0000 UTC m=+119.298921137
    labels:
      BDEPEND: ruby_targets_ruby32? ( test? ( dev-ruby/minitest:5[ruby_targets_ruby32(-)]
        ) ) ruby_targets_ruby31? ( test? ( dev-ruby/minitest:5[ruby_targets_ruby31(-)]
        ) ) ruby_targets_ruby30? ( test? ( dev-ruby/minitest:5[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/minitest:5[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/kpeg:1
      kit: ruby-kit
      original.package.name: dev-ruby/kpeg
      original.package.slot: "1"
      original.package.version: 1.3.3
    treedir: /build/packages
  package_dir: /pkgdir/kpeg
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b50c32f0862790c0e11a50ca8fb6b805cd6866f182a5bb3c03ae97aa09d2e8c1
compressiontype: zstd
files:
- usr/bin/kpeg
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/bin/kpeg
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/hoe/kpeg.rb
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/kpeg/code_generator.rb
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/kpeg/compiled_parser.rb
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/kpeg/format_parser.kpeg
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/kpeg/format_parser.rb
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/kpeg/grammar.rb
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/kpeg/grammar_renderer.rb
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/kpeg/match.rb
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/kpeg/parser.rb
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/kpeg/position.rb
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/kpeg/string_escape.kpeg
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/kpeg/string_escape.rb
- usr/lib64/ruby/gems/3.1.0/gems/kpeg-1.3.3/lib/kpeg.rb
- usr/lib64/ruby/gems/3.1.0/specifications/kpeg-1.3.3.gemspec
- var/db/pkg/dev-ruby/kpeg-1.3.3/BDEPEND
- var/db/pkg/dev-ruby/kpeg-1.3.3/BUILD_TIME
- var/db/pkg/dev-ruby/kpeg-1.3.3/CATEGORY
- var/db/pkg/dev-ruby/kpeg-1.3.3/CBUILD
- var/db/pkg/dev-ruby/kpeg-1.3.3/CFLAGS
- var/db/pkg/dev-ruby/kpeg-1.3.3/CHOST
- var/db/pkg/dev-ruby/kpeg-1.3.3/CONTENTS
- var/db/pkg/dev-ruby/kpeg-1.3.3/COUNTER
- var/db/pkg/dev-ruby/kpeg-1.3.3/CXXFLAGS
- var/db/pkg/dev-ruby/kpeg-1.3.3/DEFINED_PHASES
- var/db/pkg/dev-ruby/kpeg-1.3.3/DEPEND
- var/db/pkg/dev-ruby/kpeg-1.3.3/DESCRIPTION
- var/db/pkg/dev-ruby/kpeg-1.3.3/EAPI
- var/db/pkg/dev-ruby/kpeg-1.3.3/FEATURES
- var/db/pkg/dev-ruby/kpeg-1.3.3/HOMEPAGE
- var/db/pkg/dev-ruby/kpeg-1.3.3/INHERITED
- var/db/pkg/dev-ruby/kpeg-1.3.3/IUSE
- var/db/pkg/dev-ruby/kpeg-1.3.3/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/kpeg-1.3.3/KEYWORDS
- var/db/pkg/dev-ruby/kpeg-1.3.3/LDFLAGS
- var/db/pkg/dev-ruby/kpeg-1.3.3/LICENSE
- var/db/pkg/dev-ruby/kpeg-1.3.3/PF
- var/db/pkg/dev-ruby/kpeg-1.3.3/RDEPEND
- var/db/pkg/dev-ruby/kpeg-1.3.3/RESTRICT
- var/db/pkg/dev-ruby/kpeg-1.3.3/SIZE
- var/db/pkg/dev-ruby/kpeg-1.3.3/SLOT
- var/db/pkg/dev-ruby/kpeg-1.3.3/USE
- var/db/pkg/dev-ruby/kpeg-1.3.3/environment.bz2
- var/db/pkg/dev-ruby/kpeg-1.3.3/kpeg-1.3.3.ebuild
- var/db/pkg/dev-ruby/kpeg-1.3.3/repository
package_cacheimage: ""
runtime:
  name: kpeg
  version: 1.3.3
  category: dev-ruby-1
  use_flags:
  - -doc
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A simple PEG library for Ruby
  uri:
  - https://github.com/evanphx/kpeg
  license: MIT
  labels:
    BDEPEND: ruby_targets_ruby32? ( test? ( dev-ruby/minitest:5[ruby_targets_ruby32(-)]
      ) ) ruby_targets_ruby31? ( test? ( dev-ruby/minitest:5[ruby_targets_ruby31(-)]
      ) ) ruby_targets_ruby30? ( test? ( dev-ruby/minitest:5[ruby_targets_ruby30(-)]
      ) ) ruby_targets_ruby27? ( test? ( dev-ruby/minitest:5[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/kpeg:1
    kit: ruby-kit
    original.package.name: dev-ruby/kpeg
    original.package.slot: "1"
    original.package.version: 1.3.3
